Subject: Re: [net-next v23 2/7] net: mtip: The L2 switch driver for imx287

From: Łukasz Majewski <[email-masked]>
Date: Mon, 16 Feb 2026 10:23:59 +0100

Hi Jakub,

> Hi Jakub,
> 
> > On Thu,  5 Feb 2026 00:21:30 +0100 Lukasz Majewski wrote:  
> > > This patch series provides support for More Than IP L2 switch
> > > embedded in the imx287 SoC.
> > > 
> > > This is a two port switch (placed between uDMA[01] and
> > > MAC-NET[01]), which can be used for offloading the network
> > > traffic.
> > > 
> > > It can be used interchangeably with current FEC driver - to be
> > > more specific: one can use either of it, depending on the
> > > requirements.
> > > 
> > > The biggest difference is the usage of DMA - when FEC is used,
> > > separate DMAs are available for each ENET-MAC block.
> > > However, with switch enabled - only the DMA0 is used to
> > > send/receive data to/form switch (and then switch sends them to
> > > respecitive ports).
> > > 
> > > Signed-off-by: Lukasz Majewski <[email-masked]>
> > > Reviewed-by: Stefan Wahren <[email-masked]>
> > > Reviewed-by: Andrew Lunn <[email-masked]>    
> > 
> > Transient build failure here:
> > 
> > drivers/net/ethernet/freescale/mtipsw/mtipl2sw.c:1072:32: warning:
> > variable ‘priv’ set but not used [-Wunused-but-set-variable] 1072 |
> >       struct mtip_ndev_priv *priv; |
> > ^~~~
> > 
> > I sent out the AI code reviews while at it, without looking at them.
> > So please approach them with caution..  
> 
> IMHO, issues pointed with AI review have been at discussed and
> (to my best knowledge) addressed.
> 
> Shall I prepare next version of this patch set?
> 

I'm a bit confused regarding the next steps for this driver.

There was no reply regarding my last question - and I don't know how I
shall proceed...

-- 
Best regards,

Łukasz Majewski